> For the complete documentation index, see [llms.txt](https://docs.tosdr.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tosdr.org/developer/tos-dr-developers/restful-api/case-api/get-case-v2.md).

# GET /case/v2

Use this interface to retrieve a specific case from our database in JSON, or to list all cases.

As a reference, cases are also listed at <https://edit.tosdr.org/cases/>.

## Endpoint

```
https://api.tosdr.org/case/v2/
```

## Parameters

| Parameter | Type    | Description                                                |
| --------- | ------- | ---------------------------------------------------------- |
| id        | Integer | Case ID to retrieve. Omit the parameter to list all cases. |
| page      | Integer | Pagination number (defaults to `1`).                       |

## Repository

<https://github.com/tosdr/API/tree/master/functions/Case/GET/v2>

## Implemented error codes

| Error                                | HTTP status | Bitmask             |
| ------------------------------------ | ----------- | ------------------- |
| An invalid case id has been supplied | 404         | `INVALID_PARAMETER` |

## Example response

```
{
  "error": 256,
  "message": "OK",
  "parameters": {
      "id": 122,
      "weight": 0,
      "title": "The terms may be changed at any time, but you will receive notification of the changes",
      "description": "The Terms may be updated without prior notice, but users will be notified of the changes at the moment they will start applying.",
      "updated_at": "2021-05-07T16:23:11.148Z",
      "created_at": "2018-01-16T15:26:08.192Z",
      "topic_id": 46,
      "classification": "neutral"
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tosdr.org/developer/tos-dr-developers/restful-api/case-api/get-case-v2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
